[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ne pas avoir de linux-gate.so.1 (Sid/x86)



* kolter <manu.santotuxlabs@free.fr> [2005-09-08 08:44] :
> > Je pose la question car je veux utiliser Wdialog pour Ocaml pour coder
> > un cgi, et mon hebergeur (lost-oasis.net) a des serveurs sous
> > Debian/Sid [pas trop récent]. Il lui faut des binaires CGI qui n'ont
> 
> Debian/Sid chez un hébergeur ????
> 
> > pas linux-gate.so.1 dans leur dépendances (et j'ai demandé: un ldd
> > /bin/cat ne donne pas de linux-gate.so chez lui). un binaire statique
> > marche, mais je voudrais éviter.
> 
> il y'a fort à parier qur ton hébergeur utilise un noyau 2.4 auquel cas 
> linux-gate.so n'apparaitera pas dans le ldd. c'est en fait un "fausse" lib 
> utilisé dans les noyaux 2.6.x sur les archi i386 et ia64 pour faire certains 
> syscalls.

Plus d'infos techniques à
http://www.trilithium.com/johan/2005/08/linux-gate/ (mais l'explication
d'Emmanuel est exacte).


Fred

-- 
Comment poser les questions de manière intelligente ?
http://www.gnurou.org/documents/smart-questions-fr.html
Comment signaler efficacement un bug ?
http://www.chiark.greenend.org.uk/~sgtatham/bugs-fr.html



Reply to: